Subject: Re: bug#59888: [PATCH] Add 'grep-use-headings'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Dec 2022 21:36:28 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked], Eli
>  Zaretskii <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 09 Dec 2022 13:18:02 +0100
> 
> As discussed before, I introduced a text property so that one can tell
> without guessing which parts of the compilation buffer are not coming
> from the external process.  This seems to supersede the
> 'compilation-header-end' property introduced by Lars in commit
> 07f748da43, so I replaced its uses by the new 'compilation-aside'
> property.  I could easily revert that, but it seemed reasonable to
> uniformize things in this case.

Thanks, but please find a better name for this property.  Something
like compilation-meta-data, perhaps?

> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -41,6 +41,14 @@ connection.
>  
>  * Changes in Specialized Modes and Packages in Emacs 30.1
>  
> +** Compile
> +
> +*** New user option 'grep-use-headings'.
> +When non-nil, the grep output is split into sections, one for each
                     ^^^^
"Grep", capitalized.  Or maybe even "the output of Grep".

> +file, instead of having file names prefixed to each line.  It is
> +equivalent to the --heading option of some tools such as 'git grep'
> +and 'rg.
       ^^^
'rg'